Skip to main content
Data Protection/CBT APIs
POSTCBT APIsSince 4.10.10SynchronousAuth Required

Stop a CBT Task

Stop a CBT Task

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID. Uniquely identifies the resource

Body Fields

  • forceboolean

    是否强制执行。

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryCbtTaskInventoryRequired

    For details, see inventory

    • uuidStringRequired

      Resource UUID. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • statusCbtTaskStatusRequired

      For details, see status

      • CreatedCbtTaskStatusRequired

        已创建。

      • StartingCbtTaskStatusRequired

        启动中。

      • RunningCbtTaskStatusRequired

        运行中。

      • StoppedCbtTaskStatusRequired

        已停止。

      • FailedCbtTaskStatusRequired

        失败。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if there is no source error

Endpoint

POST/zstack/v1/cbt-task/disable/{uuid}

/zstack/v1/cbt-task/disable/{uuid}

Operation ID

DisableCbtTask

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/cbt-task/disable/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"force":true,"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "5ca9c15a50c53f0dac359a64841d7b2b", "name": "My Task", "status": "Stopped" } }

Change History

This API has no change history records yet.

View all change history